> For the complete documentation index, see [llms.txt](https://docs.3dolphins.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.3dolphins.ai/5.3.0-id/api/service-api/report-api.md).

# Report API

### **Get Conversation History By Conversation Filter and StartIndex**

<table data-header-hidden><thead><tr><th>Method</th><th>POST</th></tr></thead><tbody><tr><td>Method</td><td>POST</td></tr><tr><td>Media Type</td><td>application/json</td></tr><tr><td>URL</td><td>http://[server]/dolphin/apiv1/graph/report/conversations?startIndex=0</td></tr><tr><td>Header</td><td>Authorization : Bearer [generatedToken]</td></tr><tr><td>Body</td><td><pre><code>{
  "channelFilters": [],
  "channelTypeFilters": [],
  "agentFilters": [],
  "customerFilters": [],
  "ticketTagFilters": [],
  "startDateFilter": "2021-09-20",
  "endDateFilter": "2021-09-24",
  "ticketNumber": ""
}
</code></pre></td></tr><tr><td>Status</td><td>200</td></tr><tr><td>Response</td><td><pre><code>{
     “status”: “success”,
     “data”: “[{
        "accountId": "160924466",
        "accountName": "Stephen Strange",
        "accountScreen": "160924466",
        "agentName": "Virginia Potts",
        "answer": false,
        "assignDuration": 0,
        "assignedAgent": "e90123ebf1d4e628cf094b1ecb8b1c77",
        "assignedDate": 1632127381196,
        "assignedDateText": "2021-09-20 15:43",
        "attachmentExist": false,
        "bccList": [],
        "bccListFormatted": "",
        "callParticipantObject": [],
        "callVariableObject": [],
        "ccList": [],
        "ccListFormatted": "",
        "channel": "15c4ea8e6195ebea7e65c69606d3ec25",
        "channelKey": "Savannabreeze",
        "channelName": "Savannabreeze",
        "channelType": "telegrambot",
        "cleanedMessage": "halo",
        "closeInterval": 19,
        "closedBy": "e90123ebf1d4e628cf094b1ecb8b1c77",
        "closedDate": 1632127400353,
        "closedDateText": "2021-09-20 15:43",
        "collection": "master_ticket",
        "conferenceParticipantObject": [],
        "contactId": "9e4063553852f02aa3cb437b6068045f",
        "correlationId": "",
        "createdBy": "82ab0fd5cfd1e80d1ff97c0cfc9aa9e2",
        "createdDate": 1632127380998,
        "createdDateText": "2021-09-20 15:43",
        "customerName": "Stephen Strange",
        "dateTimeline": 1632127381196,
        "displayConferenceParticipant": false,
        "emailRecipient": "",
        "firstAssignedDate": 1632127381196,
        "firstResponseAgent": "Virginia Potts",
        "firstResponseDate": 1632127391534,
        "firstResponseTime": 12,
        "friendlyId": "160924466",
        "friendlyName": "Stephen Strange",
        "greetingStatus": true,
        "group": "3871981d6c8d1982f23a22f44c3737f8",
        "id": "1d937dccf51ce3701a648030d5e9132a",
        "incoming": false,
        "initialMessage": true,
        "internalCallRecipient": false,
        "message": "halo",
        "messageId": "160924466",
        "messagesDetail": "Stephen Strange [20 September 2021 15:43:00] : halo \nVirginia Potts [20 September 2021 15:43:12] : halo juga. close ya \nStrange [20 September 2021 15:43:16] : oke",
        "modifiedBy": "e90123ebf1d4e628cf094b1ecb8b1c77",
        "modifiedDate": 1632127400388,
        "notified": true,
        "openDate": 1632127381949,
        "openDateText": "2021-09-20 15:43",
        "openDuration": 9,
        "overReplySla": false,
        "owner": "82ab0fd5cfd1e80d1ff97c0cfc9aa9e2",
        "parent": 1,
        "pendingDate": 1632127391534,
        "pendingDateText": "2021-09-20 15:43",
        "pendingDuration": 8,
        "prettDateTimelineByStatus": 1632127400353,
        "prettyDate": "2021-09-20 15:43:00",
        "prettyDateTimeline": "2021-09-20 15:43:20",
        "priority": false,
        "redistribute": false,
        "renderActivity": false,
        "responseTime": 9,
        "ruleId": "4bea94290592a1d4363b90652ae1dea5",
        "selected": false,
        "severity": "Not Set",
        "severityStyle": "severity-low",
        "slaStatusText": "Within SLA",
        "slaStyle": "ticket-within-sla",
        "status": "Closed",
        "statusStyle": "ticket-closed",
        "subject": "halo",
        "supervisor": "e6a59c632f4229742da305ed4450e59a,cbc2e7f91696e36496b197a500f73e9d",
        "ticketAnswer": false,
        "ticketNumber": "2109200000001",
        "timelineStatus": "Closed",
        "toGroup": "3871981d6c8d1982f23a22f44c3737f8",
        "transferInterval": 19,
        "unassignDuration": 0,
        "unassignedDate": 1632127381196,
        "unassignedDateText": "2021-09-20 15:43",
        "unreadMessages": 0,
        "withinSla": true
    }]”
     “hasMore”: true,
     “nextIndex”: 10,
     “prevIndex”: 0,
     “totalResults”: 4784
}
</code></pre></td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.3dolphins.ai/5.3.0-id/api/service-api/report-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
